---
title: RTCStatsType
slug: Web/API/RTCStatsType
tags:
  - API
  - Media
  - RTCStatsType
  - Reference
  - Statistics
  - Stats
  - Type
  - WebRTC
  - WebRTC API
  - WebRTC Statistics Identifiers
  - rtc
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <code><strong>RTCStatsType</strong></code> enumerated type (enum) is a set of strings which define the {{domxref("RTCStats.type", "type")}} of statistics reported in a record found in the {{domxref("RTCStatsReport")}} object.</span> This type determines which of the {{domxref("RTCStats")}}-based dictionaries the record is based upon.</p>

<h2 id="Values">Values</h2>

<dl>
 <dt><code>candidate-pair</code></dt>
 <dd>An {{domxref("RTCIceCandidatePairStats")}} object providing statistics related to an {{domxref("RTCIceTransport")}}. Candidate pairs other than the currently active pair for the transport are deleted when the {{domxref("RTCPeerConnection")}} changes its {{domxref("RTCPeerConnection.iceGatheringState")}} to <code>new</code> during an <a href="/en-US/docs/Web/API/WebRTC_API/Session_lifetime#ICE_restart">ICE restart</a>. The active candidate pair is deleted after the transport switches to another candidate pair; this change cannot be detected otherwise.</dd>
 <dt><code>certificate</code></dt>
 <dd>An {{domxref("RTCCertificateStats")}} object providing statistics related to a certificate being used by an {{domxref("RTCIceTransport")}}.</dd>
 <dt><code>codec</code></dt>
 <dd>An {{domxref("RTCCodecStats")}} object containing statistics about a codec currently being used by {{Glossary("RTP")}} streams to send or receive data for the {{domxref("RTCPeerConnection")}}.</dd>
 <dt><code>csrc</code></dt>
 <dd>An {{domxref("RTCContributingSourceStats")}} object which contains statistics related to a contributing source (CSRC) that contributed to an inbound RTP stream.</dd>
 <dt><code>data-channel</code></dt>
 <dd>An {{domxref("RTCDataChannelStats")}} object which contains statistics about each {{domxref("RTCDataChannel")}} on the connection.</dd>
 <dt><code>inbound-rtp</code></dt>
 <dd>An {{domxref("RTCInboundRtpStreamStats")}} object providing statistics about <em>inbound</em> data being received from remote peers. Since this only provides statistics related to inbound data, without considering the local peer's state, any values that require knowledge of both, such as round-trip time, is not included. This report isn't available if there are no connected peers.</dd>
 <dt><code>local-candidate</code></dt>
 <dd>An {{domxref("RTCIceCandidateStats")}} object giving statistics about an ICE local candidate; these candidates are found in the output from {{domxref("RTCIceTransport.getLocalCandidates()")}}.</dd>
 <dt><code>outbound-rtp</code></dt>
 <dd>The report is an {{domxref("RTCOutboundRtpStreamStats")}} object providing statistics based on the local peer's <em>outgoing</em> data being sent to its peers. This information considers only the outbound RTP stream, so any data which requires information about the state of the remote peers (such as round-trip time) is unavailable, since those values can't be computed without knowing about the other peers' states.</dd>
 <dt><code>peer-connection</code></dt>
 <dd>A {{domxref("RTCPeerConnectionStats")}} object provides statistics related to the overall peer connection's {{domxref("RTCPeerConnection")}}.</dd>
 <dt><code>receiver</code></dt>
 <dd>Provides statistics about a specific {{domxref("RTCRtpReceiver")}}. The statistics object is an {{domxref("RTCAudioReceiverStats")}} object if {{domxref("RTCStats.kind", "kind")}} is <code>audio</code>; if <code>kind</code> is <code>video</code>, the object is an {{domxref("RTCVideoReceiverStats")}} object.</dd>
 <dt><code>remote-candidate</code></dt>
 <dd>The report is an {{domxref("RTCIceCandidateStats")}} object containing statistics about the remote candidate's {{domxref("RTCIceTransport")}}. This may include information such as the type of network, the protocol, the URL, the type of relay being used, and so forth.</dd>
 <dt><code>remote-inbound-rtp</code></dt>
 <dd>The report is an {{domxref("RTCRemoteInboundRtpStreamStats")}} object providing statistics about your outbound RTP data stream, but from the perspective of the remote peer. That is, this information is about your <code>outbound-rtp</code> stream, but as seen by the remote device that's handling the stream. You can use this information to do things like determine how well the remote peer is receiving data.</dd>
 <dt><code>remote-outbound-rtp</code></dt>
 <dd>The report is an {{domxref("RTCRemoteOutboundRtpStreamStats")}} object that contains statistics about your inbound RTP (<code>inbound-rtp</code>) stream, but from the perspective of the remote peer.</dd>
 <dt><code>sender</code></dt>
 <dd>An object containing statistics about the {{domxref("RTCRtpSender")}} for a stream on the {{domxref("RTCPeerConnection")}}. If {{domxref("RTCStats.kind", "kind")}} is <code>"audio"</code>, this object is of type {{domxref("RTCAudioSenderStats")}}; if <code>kind</code> is <code>"video"</code>, this is an {{domxref("RTCVideoSenderStats")}} object.</dd>
 <dt><code>stream</code></dt>
 <dd>An object of type {{domxref("RTCMediaStreamStats")}}, providing statistics and information about a {{domxref("MediaStream")}} which is part of the {{domxref("RTCPeerConnection")}}.</dd>
 <dt><code>track</code></dt>
 <dd>The object is one of the types based on {{domxref("RTCMediaHandlerStats")}}: for audio tracks, the type is {{domxref("RTCSenderAudioTrackAttachmentStats")}} and for video tracks, the type is {{domxref("RTCSenderVideoTrackAttachmentStats")}}. The data within provides statistics related to a particular {{domxref("MediaStreamTrack")}}'s attachment to an {{domxref("RTCRtpSender")}}; also included are the media level metrics that go along with the track.</dd>
 <dt><code>transport</code></dt>
 <dd>An object that contains statistics related to a transport for an <code>RTCPeerConnection</code>. The object is of type {{domxref("RTCTransportStats")}}.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcstatstype', 'RTCStatsType')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCStatsType")}}</p>
